fmt_strm(3)

NAME
fmt_strm - write multiple ASCII strings

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_strm(char *dest,const char *source, ...);

DESCRIPTION
fmt_strm copies all leading nonzero bytes from source and following function arguments to dest and returns the number of bytes it copied.

fmt_strm does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_str returns the number of bytes it would have written, i.e. the number of leading nonzero bytes of source and following function arguments.

SEE ALSO
fmt_str(3), strcpy(3)